

# EnumTest


## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**enumString** | [**EnumStringEnum**](#EnumStringEnum) |  |  [optional]
**enumStringRequired** | [**EnumStringRequiredEnum**](#EnumStringRequiredEnum) |  | 
**enumInteger** | [**EnumIntegerEnum**](#EnumIntegerEnum) |  |  [optional]
**enumNumber** | [**EnumNumberEnum**](#EnumNumberEnum) |  |  [optional]
**outerEnum** | **OuterEnum** |  |  [optional]



## Enum: EnumStringEnum

Name | Value
---- | -----
UPPER | &quot;UPPER&quot;
LOWER | &quot;lower&quot;
EMPTY | &quot;&quot;



## Enum: EnumStringRequiredEnum

Name | Value
---- | -----
UPPER | &quot;UPPER&quot;
LOWER | &quot;lower&quot;
EMPTY | &quot;&quot;



## Enum: EnumIntegerEnum

Name | Value
---- | -----
NUMBER_1 | 1
NUMBER_MINUS_1 | -1



## Enum: EnumNumberEnum

Name | Value
---- | -----
NUMBER_1_DOT_1 | 1.1
NUMBER_MINUS_1_DOT_2 | -1.2


## Implemented Interfaces

* Parcelable


